GET private-repository/repository-details/{geoLocation}
Gets the details of a repository associated with the private location for the current customer.
URL Parameters
| Name | Description |
|---|---|
| geoLocation | The geoLocation string. |
Remarks
Use GET private locations route to get the list of private locations having values applicable for geoLocation.Request example
curl --request GET "https://api-asm2.apica.io/v3/private-repository/repository-details/{geoLocation}?auth_ticket=C471ADC4-19B4-4219-BBF4-671A97EC653E"
Response body model example and description
[
{
"id": "b689270f-ea60-4557-95cb-635a1205c077",
"customer_guids": [
"4291bb1f-725c-4028-b1c0-927c2b0c8fce",
"fa0987d5-b7d8-4e0d-9b10-201254c7cc58",
"c10429f9-c4e0-491e-8f9d-b97b98b612ff"
],
"name": "sample string 2",
"repository_url": "sample string 3",
"username": "sample string 4",
"geolocs": [
"sample string 1",
"sample string 2",
"sample string 3"
],
"type": "sample string 5",
"images": {
"fpr": {
"check_type": "sample string 1",
"tag": "sample string 2"
},
"zebratester": {
"check_type": "sample string 1",
"tag": "sample string 2"
},
"runbin": {
"check_type": "sample string 1",
"tag": "sample string 2"
},
"postman": {
"check_type": "sample string 1",
"tag": "sample string 2"
},
"playwright": {
"check_type": "sample string 1",
"tag": "sample string 2"
}
},
"mirroring": true,
"message": "sample string 7",
"success": true
},
{
"id": "aecda4e7-72aa-4627-8801-22860ef406c9",
"customer_guids": [
"fe9f3295-b785-4c73-bab5-a6c9536e8616",
"c01444d6-5c02-4c3c-a2f2-91c528ab94e4",
"5d2a0587-ff65-41f9-86a7-1c178d71d2d7"
],
"name": "sample string 2",
"repository_url": "sample string 3",
"username": "sample string 4",
"geolocs": [
"sample string 1",
"sample string 2",
"sample string 3"
],
"type": "sample string 5",
"images": {
"fpr": {
"check_type": "sample string 1",
"tag": "sample string 2"
},
"zebratester": {
"check_type": "sample string 1",
"tag": "sample string 2"
},
"runbin": {
"check_type": "sample string 1",
"tag": "sample string 2"
},
"postman": {
"check_type": "sample string 1",
"tag": "sample string 2"
},
"playwright": {
"check_type": "sample string 1",
"tag": "sample string 2"
}
},
"mirroring": true,
"message": "sample string 7",
"success": true
},
{
"id": "0905b239-d5bd-4ccb-b4d6-6644c75fc356",
"customer_guids": [
"a57e385d-0e0d-4f75-8ec7-1a93212492ff",
"61419b27-b132-4b71-83f7-3d6faba934ef",
"eed945ac-6f0a-4d12-898d-ff4bdba45f11"
],
"name": "sample string 2",
"repository_url": "sample string 3",
"username": "sample string 4",
"geolocs": [
"sample string 1",
"sample string 2",
"sample string 3"
],
"type": "sample string 5",
"images": {
"fpr": {
"check_type": "sample string 1",
"tag": "sample string 2"
},
"zebratester": {
"check_type": "sample string 1",
"tag": "sample string 2"
},
"runbin": {
"check_type": "sample string 1",
"tag": "sample string 2"
},
"postman": {
"check_type": "sample string 1",
"tag": "sample string 2"
},
"playwright": {
"check_type": "sample string 1",
"tag": "sample string 2"
}
},
"mirroring": true,
"message": "sample string 7",
"success": true
}
]
| Name | Type | Description |
|---|---|---|
| Id | Guid |
No documentation available. |
| CustomerGuids | Object |
No documentation available. |
| RepositoryName | String |
No documentation available. |
| RepositoryUrl | String |
No documentation available. |
| Username | String |
No documentation available. |
| Geolocs | Object |
No documentation available. |
| Type | String |
No documentation available. |
| Images | Object |
No documentation available. |
| fpr | Object |
No documentation available. |
| check_type | String |
No documentation available. |
| tag | String |
No documentation available. |
| zebratester | Object |
No documentation available. |
| check_type | String |
No documentation available. |
| tag | String |
No documentation available. |
| runbin | Object |
No documentation available. |
| check_type | String |
No documentation available. |
| tag | String |
No documentation available. |
| postman | Object |
No documentation available. |
| check_type | String |
No documentation available. |
| tag | String |
No documentation available. |
| playwright | Object |
No documentation available. |
| check_type | String |
No documentation available. |
| tag | String |
No documentation available. |
| Mirroring | Boolean |
No documentation available. |
| Message | String |
No documentation available. |
| Success | Boolean |
No documentation available. |